Bug 871083 - Allow connection to the guest with non-responsive agent
Allow connection to the guest with non-responsive agent
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-userportal (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity medium
: ---
: 3.2.0
Assigned To: Arik
Jiri Belka
virt
: ZStream
Depends On:
Blocks: 886936 915537
  Show dependency treegraph
 
Reported: 2012-10-29 11:11 EDT by David Jaša
Modified: 2013-06-11 04:47 EDT (History)
11 users (show)

See Also:
Fixed In Version: sf1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 886936 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
warning dialog on spice connection to guest with non responsive agent (138.17 KB, image/png)
2012-12-10 07:34 EST, Arik
no flags Details
Updated screenshot for the proposed dialog (149.43 KB, image/png)
2012-12-11 11:08 EST, Arik
no flags Details
engine log for period when guest agent was not running (21.30 KB, text/x-log)
2013-01-28 07:13 EST, Jiri Belka
no flags Details

  None (edit)
Description David Jaša 2012-10-29 11:11:55 EDT
Description of problem:
Allow connection to the guest with non-responsive agent.

The current behaviour is a workaround for spicec limitation that when agent-related feature was requested from it, it stalled until it established communication with agent. Spice-gtk-based clients are more fault-tolerant in this respect so this hard limitation of User Portal could safely be turned to soft one ("Agent is not responsive. Some features may not work. [cancel] [connect anyway]").


Version-Release number of selected component (if applicable):
si19.1 / 3.1.0-18

How reproducible:
always

Steps to Reproduce:
1. have a Windows VM with tools (mainly virtio-serial, rhev-agent and spice-vdagent running)
2. stop rhev-agent service
3. wait a while
4. try to connect to the VM again
  
Actual results:
you get this message:
Error while executing action VmLogon: Guest agent non-responsive
[close]

Expected results:
you get either dismissable warning (as outlined above; preferable solution) or no warning at all.

Additional info:
Comment 1 Arik 2012-12-10 07:34:54 EST
Created attachment 660798 [details]
warning dialog on spice connection to guest with non responsive agent
Comment 2 Arik 2012-12-10 08:00:36 EST
Simon - is the dialog in the attached picture seems ok? (if the user press cancel, the spice console connection is aborted, and if the user press ok the spice console is opened without logon)
Comment 3 Arik 2012-12-11 11:08:43 EST
Created attachment 661532 [details]
Updated screenshot for the proposed dialog
Comment 4 Simon Grinberg 2012-12-12 12:41:29 EST
(In reply to comment #2)
> Simon - is the dialog in the attached picture seems ok? (if the user press
> cancel, the spice console connection is aborted, and if the user press ok
> the spice console is opened without logon)

What happens if the tools are not installed in the first place? does the pop-up shows or do we connect anyhow? If it is the same then please change the first line.

Could not connect to the agent on the guest, it may be unresponsive or not installed.  

You can drop the third line, it's clear that the action is proceed or abort. 


We also need the option ignore that message for good, but this is part of the persistent session issues or the VM configuration.
Comment 5 Arik 2012-12-13 10:18:10 EST
http://gerrit.ovirt.org/#/c/10030/
Comment 15 Jiri Belka 2013-01-28 07:13:11 EST
Created attachment 688902 [details]
engine log for period when guest agent was not running
Comment 18 Jiri Belka 2013-01-30 04:37:16 EST
OK, sf4. The popup appears in max time 125 seconds (120 time used by vdsm to trigger agent as non-responding, 5sec is HB time of agent). When agent is down, logging off and in in User Portal the popup is shows immediatelly, so OK.

I will discuss about this 125 seconds, if it could not be done shorter and based on this discussion there could be new BZ for improvement.

Ad 'do not show any more' checkbox, it does not exist now but if it would be implemented please reset this trigger when the VM is started again.
Comment 19 Jiri Belka 2013-01-30 05:09:33 EST
Proposed BZ905846 for cca 125 secs improvement.
Comment 20 Itamar Heim 2013-06-11 04:39:40 EDT
3.2 has been released
Comment 21 Itamar Heim 2013-06-11 04:39:50 EDT
3.2 has been released
Comment 22 Itamar Heim 2013-06-11 04:39:52 EDT
3.2 has been released
Comment 23 Itamar Heim 2013-06-11 04:47:35 EDT
3.2 has been released

Note You need to log in before you can comment on or make changes to this bug.